# Fintic

## Install instructions

1. Update your Raspberry PI OS and install git

    ```shell
    sudo apt update
    sudo apt upgrade -y
    sudo apt install -y git
    ```

1. Clone the repo: `git clone https://github.com/fin-tic/fintic --recursive`
1. Enter the repo: `cd fintic`
1. Install Packages: `bash 01_setup_packages.sh`
1. Install Python dependencies: `bash 02_setup_python.sh`
1. Configure boot configuration: `bash 03_update_boot_config.sh`
1. Reboot the pi: `sudo reboot now`

## Install the hotspot

```shell
cd ~
curl "https://www.raspberryconnect.com/images/hsinstaller/AutoHotspot-Setup.tar.gz" -o AutoHotspot-Setup.tar.gz
tar -xzvf AutoHotspot-Setup.tar.gz
cd Autohotspot
sudo ./autohotspot-setup.sh
```

Choose option 2, then option 7 to change the SSID and password (for some reason it didn't work with the default SSID and password).

Then you can connect to the network and go to http://fintic.local:1024 or http://10.0.0.5:1024 and enter wifi information, then reboot
  
 
## Change the hostname

To change the hostname (URL used to access the server) first open config

```console
sudo raspi-config
```

Then go to system options -> hostname and change it to e.g. fintic

You then connect to the server using the url fintic.local:1024

## Run instructions

```console
sudo -E python3 server.py
```

in browser go to url http://raspberrypi.local:1024

If it doesn't work because of a missing package try running setup.sh again, sometimes it fails to connect to the package repos

## Notes

To convert bdf font to pil format do `pilfont.py <font filename>`  
pillow v 5.4.1 works, but version 8.2.0 breaks.
